#include<bits/stdc++.h>

using namespace std;

int main(){
    int a, b, x, y;
    cin >> a >> b >> x >> y;
    if(x == a && y == b)
        cout << "nijedan";
    else if(x < a && y < b)
        cout << "?";
    else if(x < a)
        cout << "prvi";
    else if(y < b)
        cout << "drugi";
    return 0;
}